Subject: Re: [PATCH net-next v4 2/5] ice: configure FW logging

From: Jakub Kicinski <[email-masked]>
Date: Tue, 10 Oct 2023 19:01:10 -0700

On Tue, 10 Oct 2023 16:26:15 -0700 Paul M Stillwell Jr wrote:
> I'm probably missing something here, but I don't know if this will do 
> what I need or not. What I have is a user passing a module name and a 
> log level and I'm trying to match those strings and create integer 
> values from them so I can configure the FW log for that module. I'm not 
> seeing how the above gets me there...
> 
> I was trying to not use strncmp and instead use the built in kernel 
> string matching functions so that's how I ended up with the code I have

You're supposed to do very simple and targeted matching here.
The cmdline parsing makes the code harder to follow.